#include "..\Source\LastWolf.hpp"


void main( int argc, char *argv[] )
{
	CLineArray lines;
	CPointArray points;

	BspCommandLine commandLine;
	
	if( !ProcessCommandLine( argc, argv, &commandLine ) )
    {
        printf("BSP_GEN:  Bsp_Gen <inFile> <outFile> <balanceLevel (0-100)> [<d for Doom level>] [<level number>] [<any character for graphical display>]\n\n");
        return;
    }

	GenerateBspTree( &commandLine, &lines, &points );
	lines.UnAllocateElements();
	points.UnAllocateElements();

	if( commandLine.bLoadDoomTextures )
		tx_UnloadTextures();	
}


